Subject: Herb Shop - Hillsboro, Oregon

From: [email-masked] (Richard T. Perry)
Date: Tue, 28 Mar 1995 21:38:56

Lynn's Herb Shop at 238 SE 2nd Avenue, Hillsboro, OR 97123 -  telephone 
(503) 693-3540 - is a wonderful source for herbs and herbal products.  The 
proprietor is very knowledgable and is a fount of information.  Herbs and 
herbal products are sold in the store as well as by mail order.  Write or call 
for her latest catalogue.  Be sure to ask about Oregon Meadow Natural Soap 
Company's line of the world's best all vegetable soaps made of pure food grade 
vegetable oils and aromatherapy quality essential oils.